# Uses of Class
org.apache.lucene.document.ShapeField.DecodedTriangle

Packages that use ShapeField.DecodedTriangle
Package
Description
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.

- ## Uses of ShapeField.DecodedTriangle in org.apache.lucene.document

  Methods in org.apache.lucene.document with parameters of type ShapeField.DecodedTriangle
  Modifier and Type
  Method
  Description
  `static void`
  ShapeField.`decodeTriangle(byte[] t, ShapeField.DecodedTriangle triangle)`
  Decode a triangle encoded by `ShapeField.encodeTriangle(byte[], int, int, boolean, int, int, boolean, int, int, boolean)`.
  Method parameters in org.apache.lucene.document with type arguments of type ShapeField.DecodedTriangle
  Modifier and Type
  Method
  Description
  `static LatLonShapeDocValuesField`
  LatLonShape.`createDocValueField(String fieldName, List<ShapeField.DecodedTriangle> tessellation)`
  create a `LatLonShapeDocValuesField` from an existing tessellation
  `static XYShapeDocValuesField`
  XYShape.`createDocValueField(String fieldName, List<ShapeField.DecodedTriangle> tessellation)`
  create a `XYShapeDocValuesField` from a precomputed tessellation
  Constructor parameters in org.apache.lucene.document with type arguments of type ShapeField.DecodedTriangle
  Modifier
  Constructor
  Description
  `protected`
  `LatLonShapeDocValues(List<ShapeField.DecodedTriangle> tessellation)`
  protected ctor for instantiating a lat lon doc value based on a tessellation
  `protected`
  `LatLonShapeDocValuesField(String name, List<ShapeField.DecodedTriangle> tessellation)`
  constructs a `LatLonShapeDocValueField` from a pre-tessellated geometry
  `protected`
  `XYShapeDocValues(List<ShapeField.DecodedTriangle> tessellation)`
  protected ctor for instantiating a cartesian doc value based on a tessellation
  `protected`
  `XYShapeDocValuesField(String name, List<ShapeField.DecodedTriangle> tessellation)`
  constructs a `XYShapeDocValueField` from a pre-tessellated geometry